package com.qmth.cqb.paper.model;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.qmth.cqb.paper.dto.PaperDetailInfoStructBlueprintDto;

import cn.com.qmth.examcloud.common.dto.question.enums.QuesStructType;

/**
 * @describle 蓝图试卷结构大题详情
 * @author weiwenhai
 * @date   2017.11.16
 */
@Entity
@Table(name = "ecs_ques_paper_detail_info_struct_blueprint")
public class PaperDetailInfoStructBlueprint implements Serializable{

	private static final long serialVersionUID = -4313551116694332009L;
	
	@Id
	@GeneratedValue
	private Long id; //id
	
	@NotNull
	private String questionType; //小题类型
	
	private Integer count; //小题数量
	
	private Double score; //小题分数
	
	private Double totalScore; //小题总分
	
	private Integer publicSimpleCount; //公开简单总数
	
	private Integer publicMediumCount; //公开中等总数
	
	private Integer publicDifficultyCount; //公开困难总数
	
	private Integer noPublicSimpleCount; //非公开简单总数
	
	private Integer noPublicMediumCount; //非公开中等总数
	
	private Integer noPublicDifficultyCount; //非公开困难总数
	
	@NotNull
	private String quesNames; //来源大题
	
	private Long paperDetailStructBlueprintId; //大题id
	
	public PaperDetailInfoStructBlueprint(){
		
	}
	
	public PaperDetailInfoStructBlueprint(PaperDetailInfoStructBlueprintDto paperDetailInfoStructBlueprintDto){
		this.id = paperDetailInfoStructBlueprintDto.getId();
		this.count = paperDetailInfoStructBlueprintDto.getCount();
		this.score = paperDetailInfoStructBlueprintDto.getScore();
		this.totalScore = paperDetailInfoStructBlueprintDto.getTotalScore();
		this.paperDetailStructBlueprintId = paperDetailInfoStructBlueprintDto.getPaperDetailStructBlueprintId();
		this.publicSimpleCount = paperDetailInfoStructBlueprintDto.getPublicSimpleCount();
		this.publicMediumCount = paperDetailInfoStructBlueprintDto.getPublicMediumCount();
		this.publicDifficultyCount = paperDetailInfoStructBlueprintDto.getPublicDifficultyCount();
		this.noPublicSimpleCount = paperDetailInfoStructBlueprintDto.getNoPublicSimpleCount();
		this.noPublicMediumCount = paperDetailInfoStructBlueprintDto.getNoPublicMediumCount();
		this.noPublicDifficultyCount = paperDetailInfoStructBlueprintDto.getNoPublicDifficultyCount();
	}
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getQuestionType() {
		return questionType;
	}

	public void setQuestionType(String questionType) {
		this.questionType = questionType;
	}

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}
	
	public Integer getPublicSimpleCount() {
		return publicSimpleCount;
	}

	public void setPublicSimpleCount(Integer publicSimpleCount) {
		this.publicSimpleCount = publicSimpleCount;
	}

	public Integer getPublicMediumCount() {
		return publicMediumCount;
	}

	public void setPublicMediumCount(Integer publicMediumCount) {
		this.publicMediumCount = publicMediumCount;
	}

	public Integer getPublicDifficultyCount() {
		return publicDifficultyCount;
	}

	public void setPublicDifficultyCount(Integer publicDifficultyCount) {
		this.publicDifficultyCount = publicDifficultyCount;
	}

	public Integer getNoPublicSimpleCount() {
		return noPublicSimpleCount;
	}

	public void setNoPublicSimpleCount(Integer noPublicSimpleCount) {
		this.noPublicSimpleCount = noPublicSimpleCount;
	}

	public Integer getNoPublicMediumCount() {
		return noPublicMediumCount;
	}

	public void setNoPublicMediumCount(Integer noPublicMediumCount) {
		this.noPublicMediumCount = noPublicMediumCount;
	}

	public Integer getNoPublicDifficultyCount() {
		return noPublicDifficultyCount;
	}

	public void setNoPublicDifficultyCount(Integer noPublicDifficultyCount) {
		this.noPublicDifficultyCount = noPublicDifficultyCount;
	}

	public String getQuesNames() {
		return quesNames;
	}

	public void setQuesNames(String quesNames) {
		this.quesNames = quesNames;
	}

	public Long getPaperDetailStructBlueprintId() {
		return paperDetailStructBlueprintId;
	}

	public void setPaperDetailStructBlueprintId(Long paperDetailStructBlueprintId) {
		this.paperDetailStructBlueprintId = paperDetailStructBlueprintId;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	
}
