package com.qmth.cqb.paper.model;

import java.io.Serializable;
import java.util.List;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
/**
 * @describle 蓝图试卷结构大题
 * @author weiwenhai
 * @date   2017.11.15
 */
@Entity
@Table(name = "ecs_ques_paper_detail_struct_blueprint")
public class PaperDetailStructBlueprint implements Serializable{

	private static final long serialVersionUID = 3227452501178462722L;
	
	@Id
	@GeneratedValue
	private Long id; //id
	
	@NotNull
	private String name; //大题名称
	
	private String remark; //大题描述
	
	private Integer detailUnitCount; //小题数量
	
	private Double score; //大题分数
	
	private String type; //大题类型
	
	private Long userId; //登录人
	
	private Long paperStructBlueprintId; //试卷结构id

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getDetailUnitCount() {
		return detailUnitCount;
	}

	public void setDetailUnitCount(Integer detailUnitCount) {
		this.detailUnitCount = detailUnitCount;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Long getPaperStructBlueprintId() {
		return paperStructBlueprintId;
	}

	public void setPaperStructBlueprintId(Long paperStructBlueprintId) {
		this.paperStructBlueprintId = paperStructBlueprintId;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}
	
}
