package com.qmth.cqb.paper.service;

import com.qmth.cqb.paper.dto.PaperDetailInfoStructBlueprintDto;
import com.qmth.cqb.paper.model.PaperDetailInfoStructBlueprint;

/**
 * @describle 蓝图试卷结构大题详情
 * @author weiwenhai
 * @date   2017.11.20
 */
public interface PaperDetailInfoStructBlueprintService {

	/**
	 * 保存新增的单个大题详情
	 * @param paperDetailInfoStructBlueprint
	 */
	public PaperDetailInfoStructBlueprint saveSingle(PaperDetailInfoStructBlueprint paperDetailInfoStructBlueprint);
	
	/**
	 * 保存蓝图试卷结构大题详情dto
	 * @param paperDetailInfoStructBlueprintDto
	 */
	public void saveDto(PaperDetailInfoStructBlueprintDto paperDetailInfoStructBlueprintDto);
	
	/**
	 * 根据大题id，查询大题详情dto
	 * @param paperDetailStructBlueprintId
	 * @return
	 */
	public PaperDetailInfoStructBlueprintDto findByPaperDetailStructBlueprintId(Long paperDetailStructBlueprintId);
	
	/**
	 * 根据大题id，查询大题详情
	 * @param paperDetailStructBlueprintId
	 * @return
	 */
	public PaperDetailInfoStructBlueprint getPaperDetailInfoStructBlueprint(Long paperDetailStructBlueprintId);
	
	/**
	 * 删除单个大题详情
	 * @param paperDetailInfoStructBlueprint
	 */
	public void deleteSingle(PaperDetailInfoStructBlueprint paperDetailInfoStructBlueprint);
}
